import request from '@/utils/request'
import Qs from 'qs'

export function getPageList(data) {
  return request({
    url: '/telecomOrder/getList',
    method: 'post',
    data
  })
}


export function create(data) {
  return request({
    url: '/telecomOrder/createOrder',
    method: 'post',
    data
  })
}

export function updateDxOrderStatus(data) {
  return request({
    url: '/telecomOrder/updateDxOrderStatus',
    method: 'post',
    data
  })
}

export function addDeviceNumber(data) {
  return request({
    url: '/telecomOrder/addDeviceNumber',
    method: 'post',
    data
  })
}


export function updateIsCoAddress(query) {
  return request({
    url: '/telecomOrder/updateIsCoAddress',
    method: 'get',
    params: query
  })
}

export function updateAddress(query) {
  return request({
    url: '/telecomOrder/updateAddress',
    method: 'get',
    params: query
  })
}

export function getLog(query) {
  return request({
    url: '/telecomOrder/getLog',
    method: 'get',
    params: query
  })
}

export function exportData(data) {
  return request({
    url: '/telecomOrder/export',
    method: 'post',
    data,
    responseType: 'blob'
  })
}


export function getHkPageList(data) {
  return request({
    url: '/telecomHkOrder/getList',
    method: 'post',
    data
  })
}

export function exportHkData(data) {
  return request({
    url: '/telecomHkOrder/export',
    method: 'post',
    data,
    responseType: 'blob'
  })
}

export function updateTelecomStatus(query) {
  return request({
    url: '/telecomOrder/updateTelecomStatus',
    method: 'get',
    params: query
  })
}

export function addDeviceHkNumber(data) {
  return request({
    url: '/telecomHkOrder/addDeviceHkNumber',
    method: 'post',
    data
  })
}

export function updateDate(query) {
  return request({
    url: '/telecomHkOrder/updateDate',
    method: 'get',
    params: query
  })
}


